#include "Motor.h"

namespace RoboidControl {

RoboidControl::Motor::Motor(Participant* owner)
    : Thing(owner, Type::UncontrolledMotor) {}

// RoboidControl::Motor::Motor(Thing* parent)
//     : Thing(parent, Type::UncontrolledMotor) {}

Motor::Motor(Thing& parent) : Thing(Type::UncontrolledMotor, parent) {}

void RoboidControl::Motor::SetTargetVelocity(float targetSpeed) {
    this->targetVelocity = targetSpeed;
}

}  // namespace RoboidControl